package util

import (
	"fmt"
	"time"
)

func HourAgo(i int) string {
	format := fmt.Sprintf("-%dh", i)
	h, _ := time.ParseDuration(format)
	return time.Now().Add(h).Format("2006-01-02 15:04:05")
}

// 时间函数
func DateAdd(i int) string {
	t := time.Now()
	return t.AddDate(0, 0, i).Format("2006-01-02")
}

// 时间函数
func DateSub(i int) string {
	t := time.Now()
	return t.AddDate(0, 0, -i).Format("2006-01-02")
}
